Bug 294101 - Please remove system-config-sound from firstboot
Please remove system-config-sound from firstboot
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: firstboot (Show other bugs)
rawhide
All Linux
medium Severity low
: ---
: ---
Assigned To: Chris Lumens
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-09-17 20:11 EDT by Lennart Poettering
Modified: 2007-11-30 17:12 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-09-18 10:10:53 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Lennart Poettering 2007-09-17 20:11:08 EDT
Please remove system-config-sound from firstboot.

It's main purpose (writing ALSA config files) is mostly obsolete these days and
causes more trouble than it does good. For a recent example, see this posting on
the Fedora ML:

https://www.redhat.com/archives/fedora-devel-list/2007-September/msg01306.html

It's still good as a test tool for audio, and thus should be kept in the default
install. However, I see no point anymore in showing it to the user on installation.

Audio devices are these days more and more Plug-n-Play. Instead of identifying
audio devices by their ALSA device indexes (that are very difficult to keep
stable properly) they should be identified by device paths, such as the HAL
device path (that is stable all the time). PulseAudio does this now, and
GStreamer does this as well. Thus, the need for stable device indexes is no more.
Comment 1 Chris Lumens 2007-09-18 10:10:53 EDT
This will be removed in the next build of firstboot.

Note You need to log in before you can comment on or make changes to this bug.